commit:     33e8af3a5d925cce374a17ef990747c02635f6a1
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  8 03:19:36 2020 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Sat Feb  8 03:20:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33e8af3a

net-p2p/cpuminer-opt: 3.12.1 version bump

Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-p2p/cpuminer-opt/Manifest                   |  1 +
 net-p2p/cpuminer-opt/cpuminer-opt-3.12.1.ebuild | 50 +++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index 1c29d33a4c1..0ab37c674ec 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -1,3 +1,4 @@
 DIST cpuminer-opt-3.11.9.tar.gz 1871215 BLAKE2B 
3cd19225d4e2b4ab26721069d83f6d568c48ca12fa94ced35024420429000099f8db0e8c69e46617738238d9ab969ef39e3ef555731c4618a7b7b6c88d438c58
 SHA512 
d1a8f18769970a05df8da454f1755fda593dc0dfb2484855fb447dca25484254cefdbd31e19917b13195519c0e5cbf91fbe644f2d27300ad2db6c1ae52d5125b
 DIST cpuminer-opt-3.12.0.1.tar.gz 1808697 BLAKE2B 
467a24044bf96c87b58953c8ecd22fbe85a6cc4ce865bf24067265a7a34f0bbc9251829bb918db81397f248f1e546b41ff56b94904bfd435097745937364cec3
 SHA512 
03f5aafeed6a6f3af71b3abcb4353386572b90f3d79783c87f54847cd766b61544484767fe94955559e0cb09fbc6eaa28129cf8b7587401a2669bc3153b9ea46
 DIST cpuminer-opt-3.12.0.tar.gz 1808901 BLAKE2B 
25002c7f8285fead4fcc8ea6276bad030498382a93148c55d7e9627929c6cf711c0599a0bf7b88911be841504efe0a9f79f152dad25f06b8cf43b61f0037f3fd
 SHA512 
05b3420b6b935dc67aa35c14db6a7aad4f279fa3814c2a91ee1ecfe7584a5a0b49f18d0b42208f4a7c74159700271f0269d1cdabd808bf19dd6a2b9e530b2725
+DIST cpuminer-opt-3.12.1.tar.gz 1809074 BLAKE2B 
2c19cba4dc070286d7fe39b53b61177b64c3d873bbcefa359c62f4cdaa8b685fa40f2ef61a1fce9fba57902ba3399cd3b45816e932362f2633ce3ca174ad2b41
 SHA512 
98c84e8057a9c31cfa65daba32f43c7a7d9225878dcce07c740fac563225494c901f15bdf0450e50d857918dbc01861ddfd39ead9d44f8038fe866bfa3ef69e1

diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.12.1.ebuild 
b/net-p2p/cpuminer-opt/cpuminer-opt-3.12.1.ebuild
new file mode 100644
index 00000000000..a5d436b3b8b
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.12.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt";
+IUSE="cpu_flags_x86_sse2 curl libressl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+       dev-libs/gmp:0
+       dev-libs/jansson
+       >=net-misc/curl-7.15[ssl]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git";
+       inherit git-r3
+else
+       KEYWORDS="~amd64"
+       SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-ldflags -Wl,-z,noexecstack
+       econf --with-crypto --with-curl
+}
+
+src_install() {
+       default
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       insinto "/etc/${PN}"
+       doins cpuminer-conf.json
+}
+
+src_test() {
+       ./cpuminer --cputest || die
+}

Reply via email to